<form nz-form [formGroup]="form" class="timekeeping-form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Nhân viên -->
    <div nz-col nzXs="24" nzLg="12">
      <employee-data-picker [mbCanText]="true" [mbType]="isSubmitted && form.controls['employeeId'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['employeeId'].errors != null"
        [mbErrors]="form.controls['employeeId'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.employee' | translate}}]"
        formControlName="employeeId"
        mbLabelText="{{'staffAbs.timekeepingManagement.employee' | translate}} <span class='label__required'>*</span>">
      </employee-data-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12"> </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-time-work [mbType]="isSubmitted && form.controls['fromTime'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['fromTime'].errors != null"
        [mbErrors]="form.controls['fromTime'].errors" [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.fromTime' | translate}},
                ]" mbPlaceholderText="--{{'staffAbs.timekeepingManagement.fromTime' | translate}}--"
        mbLabelText="{{'staffAbs.timekeepingManagement.fromTime' | translate}} <span class='label__required'>*</span>"
        [formControlName]="'fromTime'"></mb-date-time-work>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-time-work mbPlaceholderText="--{{'staffAbs.timekeepingManagement.toTime' | translate}}--"
        mbLabelText="{{'staffAbs.timekeepingManagement.toTime' | translate}} <span class='label__required'>*</span>"
        formControlName="toTime" [mbIsStartTime]="false"
        [mbType]="isSubmitted && (form.controls['toTime'].errors || form.errors) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['toTime'].errors || form.errors) != null"
        [mbErrors]="form.controls['toTime'].errors ? form.controls['toTime'].errors : ( form.errors ? form.errors : null)"
        [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.toTime' | translate }},
                { errorName: 'rangeDateError', errorDescription: 'staffAbs.timekeepingManagement.rangeDateError' | translate}
                ]">
      </mb-date-time-work>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text [mbIsTextAre]="true" [mbMaxLength]="2000"
        [mbType]="isSubmitted && form.controls['content'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['content'].errors != null"
        [mbErrors]="form.controls['content'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 2000}}]"
        mbLabelText="{{'staffAbs.timekeepingManagement.attendingTraining.content' | translate}} "
        mbPlaceholderText="--{{'staffAbs.timekeepingManagement.attendingTraining.content' | translate}}--"
        formControlName="content">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text [mbIsTextAre]="true" [mbMaxLength]="2000"
        [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['note'].errors != null"
        [mbErrors]="form.controls['note'].errors"
        [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 2000}}]"
        mbLabelText="{{'staffAbs.timekeepingManagement.attendingTraining.note' | translate}} "
        mbPlaceholderText="--{{'staffAbs.timekeepingManagement.attendingTraining.note' | translate}}--"
        formControlName="note">
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <label class="input__label">{{'staffAbs.label.file' | translate}}<span class='label__required'>*</span></label>
      <nz-upload nzType="drag"
      [nzAccept]="fileType"
      [nzMultiple]=" true" [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload"
      [nzRemove] = "removeFile" [nzDownload]="downloadFile">
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportType'|translate}}
        </p>
      </nz-upload>
    </div>
    <!-- !!!Error: File đính kèm bắt buộc nhập -->
    <div nz-col nzXs="24" nzLg="12" class="input__group fileEmptyMessage" *ngIf="isSubmitted && isFileEmpty">
      <div class="show-error">
        <em nz-icon nzType="close-circle" nzTheme="outline"></em>
        <span class="text__message">{{'staffAbs.validate.fileRequired' | translate}}</span>
      </div>
    </div>
    <!--End: Error: File đính kèm bắt buộc nhập-->

  </div>

  <div *nzModalFooter>
    <button nz-button nzType="default" (click)="close()">{{'staffAbs.approvalFlow.cancel' | translate}}</button>
    <button nz-button nzType="primary" (click)="saveOrUpdate()">{{'staffAbs.approvalFlow.save' |
      translate}}</button>
  </div>
</form>
